Obtener cliente
curl --request GET \
--url https://api.finup.ar/api/clients/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"dni": "<string>",
"sex": "m",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"credits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}
],
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"amount": 123,
"due_date": "2023-12-25",
"status": "pending",
"overdue": true,
"days_late": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"ledgerEntries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "installment",
"amount": 123,
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_url": "<string>",
"file_type": "<string>",
"file_size": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Clientes
Obtener cliente
Devuelve el cliente junto con sus créditos, cuotas, movimientos y archivos.
GET
https://api.finup.ar
/
api
/
clients
/
{id}
Obtener cliente
curl --request GET \
--url https://api.finup.ar/api/clients/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"dni": "<string>",
"sex": "m",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"credits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}
],
"installments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"amount": 123,
"due_date": "2023-12-25",
"status": "pending",
"overdue": true,
"days_late": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"ledgerEntries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "installment",
"amount": 123,
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_url": "<string>",
"file_type": "<string>",
"file_size": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del cliente.
